# ExtBackup
Minimal Minecraft backup mod, relying on external backup tools.

## Why?
The regular well-known backup mods lack the sophistication of dedicated backup tools.

ExtBackup does not care about storage, retention, rotating old backups, freeing up space or any of that stuff.
All it does is save the world to disk and then call a script or program on a configurable schedule. The external
program can be as simple or as complicated as you want it to be. Connect your Minecraft to borg, restic, Veeam or
whatever you like and backup your worlds however you like.

## Target audience
ExtBackup is aimed at server owners. It's so far only tested on Linux and does not offer much configuration. It just 
runs the program with the Minecraft directory as current working directory. It may well work on Windows, or it may not.

## Acknowledgements
* [MelanX](https://modrinth.com/user/MelanX) for [Simple Backups](https://modrinth.com/mod/simple-backups) which formed
  the base for ExtBackup 2.0, the NeoForge version.
* [LatvianModder](https://github.com/LatvianModder) for his work on [FTB-Backups](https://github.com/FTBTeam/FTB-Backups)
  where I stole a lot of the code for the Forge Version.
* [alexbobp](https://github.com/alexbobp) and the [elytra](https://github.com/elytra) group for
  [BTFU](https://github.com/elytra/BTFU), which gave me the idea but didn't go quite far enough.
